<template>
  <j-modal
    :title='title'
    :width='width'
    :visible='visible'
    switchFullscreen
    @ok='handleOk'
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel='handleCancel'
    cancelText='关闭'>
    <supplier-contact-form ref='realForm' @ok='submitCallback' :disabled='disableSubmit'></supplier-contact-form>
  </j-modal>
</template>

<script>

import SupplierContactForm from './SupplierContactForm'
import { postAction } from '@api/manage'

export default {
  name: 'SupplierContactModel',
  components: {
    SupplierContactForm
  },
  data() {
    return {
      title: '',
      width: 800,
      visible: false,
      disableSubmit: false,

      url: {
        add: '/eam/supplierContact/add',
      },
      testid:"",
      supplierId: "",
    }
  },
  methods: {
    add(supplierId) {
      this.supplierId = supplierId
      console.log(supplierId)
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.add()
      })
    },
    edit(record) {
      this.visible = true
      this.$nextTick(() => {
        this.$refs.realForm.edit(record)
      })
    },
    close() {
      this.$emit('close')
      this.visible = false
    },



    handleOk() {
      this.$refs.realForm.submitForm(this.supplierId)
    },
    submitCallback() {
      this.$emit('ok')
      this.visible = false
    },
    handleCancel() {
      this.close()
    }
  }
}
</script>